# Manuale di &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Federico
Zenith

    federico.zenith@member.fsf.org

Traduzione della documentazione in italiano
2000
2001
2002
&Jonathan.Singer;
2005
&Kurt.Hindenburg;
&FDLNotice;
2006-08-16
1.6.2

Questo documento è il manuale utente per l'applicazione &konsole;.

&konsole; è un emulatore di terminale X per &kde;.

KDE
konsole
kdebase
comando
linea

## Introduzione a &konsole;

### Cos'è un terminale?

I sistemi operativi &UNIX; furono originalmente pensati come sistemi di solo testo, controllati da comandi da tastiera -- ciò è noto come interfaccia a linea di comando (CLI). I progetti &X-Window;, &kde; e altri hanno da allora aggiunto l'interfaccia grafica che stai usando. Comunque, il sottostante sistema CLI è ancora lì, ed è spesso il più facile, il più veloce e il più potente modo di eseguire molti compiti.

&konsole; è ciò che è noto come un emulatore di terminale X, spesso chiamato terminale o shell. Ti dà l'equivalente di un buon vecchio schermo testuale sul tuo desktop, ma uno che può facilmente condividere lo schermo con le tue applicazioni grafiche. Gli utenti &Windows; potrebbero avere familiarità con il Prompt di MS-DOS, che ha la funzione analoga di offrire una linea di comando DOS sotto &Windows; (sebbene le CLI di &UNIX; offrano molta più potenza e facilità d'uso del DOS!).

Spiegare l'uso della CLI di &UNIX; va oltre lo scopo di questo documento, perché richiederebbe un libro lunghissimo. Fortunatamente, molti libri del genere sono disponibili in ogni lingua in ogni buona libreria o biblioteca. Ci sono anche guide disponibili su Internet. Divertiti con &kde;, ma non vergognarti di usare la linea di comando! Ti accorgerai che anche solo imparare i fondamentali ti farà usare il computer in modo molto più efficiente e divertente.

### Cosa rende &konsole; speciale?

Le funzionalità avanzate di &konsole; includono una configurazione semplice e la capacità di usare shell di terminale multiple in una sola finestra, per avere un desktop meno affollato.

Usando &konsole;, un utente può aprire:

- Sessioni di console &Linux;

- Sessioni shell

- Sessioni screen

- Sessioni di gestione file Midnight Commander

- Sessioni di console come root

- Sessioni Midnight Commander come root

- Usa le sessioni create

Le sessioni possono essere rinominate per aiutarti a tener traccia di tutte le tue shell, o segnalate (STOP, CONT, HUP, INT, TERM, KILL).

Per più controllo su &konsole;, un utente può:

- nascondere/mostrare la barra dei menu o il riquadro

- selezionare la dimensione di una finestra, i tipi di caratteri, gli schemi di colori e la mappatura dei tasti di &konsole;

- cambiare la posizione della barra di scorrimento o nasconderla

- cambiare la posizione della barra delle linguette o nasconderla

Tutte le impostazioni scelte possono essere rese predefinite per la prossima sessione salvandole.

Per quelli che hanno un profondo interesse per la tassonomia dei terminali X liberi, ce ne sono altri due di questo tipo: xterm, l'originale, scritto addirittura prima di X stesso (un mese o due), e xvt, un clone xterm leggero, sul quale è basata la maggior parte dei derivati attualmente disponibili (in particolare eterm).

Dopo un decennio, &konsole; è la prima riscrittura da zero. Mentre xterm è stato taroccato fino alla morte (il suo file `README` comincia con le fatidiche parole Lasciate ogni speranza, o voi ch'entrate), &konsole; offre una nuova partenza usando tecnologia e comprensione di X contemporanee.

## Uso di &konsole;

### Avvio

Quando &konsole; viene avviato, un'applicazione (tipicamente una shell &UNIX;) è in esecuzione nella finestra. Scrivi semplicemente al prompt.

Schermo di &konsole;
Schermo di &konsole;

&konsole; con 4 sessioni di terminale aperte.

All'avvio può anche apparire una finestra con un Suggerimento del giorno, che offre suggerimenti sull'uso di &konsole;. Se non vuoi ricevere suggerimenti, deseleziona la casella Mostra suggerimenti all'avvio.

### Cronologia

Dopo che le righe sono scorse oltre la cima dello schermo, possono essere riviste muovendo in alto la barra di scorrimento, con una rotellina del mouse o usando i tasti &Shift;Pag su (per spostarsi di una pagina indietro), &Shift;Pag giù (per muoversi una pagina avanti), &Shift;Freccia in su (Per spostarsi in su di una riga) e &Shift;Freccia in giù (per spostarsi in giù di una riga), assunto che l'opzione Cronologia sia attivata.

Inoltre, &konsole; imita la console di FreeBSD quando Scroll Lock è premuto. Quando Scroll Lock è attivo, il normale input-output della shell è sospeso, e puoi scorrere attraverso la cronologia con Pag su, Pag giù, Freccia su e Freccia giù.

La cronologia di &konsole; può essere configurata attraverso Impostazioni Cronologia...

&konsole; fornisce un certo numero di azioni relative alla cronologia situate nel menu Modifica.

- Trova nella cronologia...

- Trova successivo

- Trova precedente

- Salva la cronologia come...

- Pulisci la cronologia

- Pulisci tutte le cronologie

In &konsole;, i riferimenti alla cronologia sono al testo visualizzato nella finestra di &konsole;. La shell che è in esecuzione in &konsole; (per esempio bash) ha anch'essa una cronologia che non è associata alla cronologia di &konsole;.

### Sessioni

Se devi accedere spesso a macchine remote, o esegui sempre un insieme simile di applicazioni da terminale, puoi usare la funzionalità Sessione di &konsole; insieme alla gestione delle sessioni di &kde; per automatizzare molto di tutto ciò. Facciamo il seguente esempio: devi spesso aprire una sessione ssh alla macchina amministrazione usata per compiti di amministrazione generica. Potresti aver notato che il pulsante Nuova sessione sulla barra delle linguette di &konsole; mostra un menu se ci fai clic e tieni premuto, e da qui puoi scegliere nuovi tipi di sessione. Stiamo per aggiungere nuove voci a questo menu.

1. Fai clic sulla voce del menu Impostazioni Configura &konsole;...

2. Scegli la scheda Sessione.

3. Riempi la prima casella con un nome. Questo è il nome che apparirà nel menu, e sarà l'etichetta predefinita invece di Shell quando avvierai una sessione di quel tipo.

4. Inserisci un comando come faresti se avessi aperto una nuova shell, e stessi per dare quel comando. Per il nostro esempio di cui sopra, potresti scrivere ``ssh` amministrazione`.

5. Nella parte inferiore del pannello, configura l'aspetto della sessione. Puoi avere diversi tipo di carattere, schema di colori, e `$TERM` per ogni sessione.

6. Premi il pulsante Salva sessione.... Una finestra di dialogo ti chiederà di confermare il nome del file.

7. Premi OK.

Dovresti ora essere in grado di premere e tenere il pulsante Nuova sessione sulla barra delle linguette, e selezionare il tuo nuovo tipo di sessione dall'elenco. Una nuova sessione di shell verrà aperta all'interno della finestra di &konsole;, con il risultato del tuo comando shell. Nel nostro esempio, sarai a un prompt di password di ssh, e quando avrai fornito la tua password, accederai alla macchina remota Puoi anche evitare questo passaggio, usando ssh-agent, ma questo è un argomento per un altro programma.. Forse vuoi leggere remotamente l'ultima parte del tuo log degli errori http su un server Web; potresti usare una linea di comando più o meno come ``ssh` `-f` serverWeb `tail` `-f` `/var/log/httpd-error.log``.

Puoi usare ciò per eseguire anche comandi locali. Prova a creare una sessione dove il comando è ``tail` `-f` `/var/log/messages``. In questo caso, uscire dall'applicazione in esecuzione terminerà anche la sessione di shell.

Un uso veramente carino di questa funzionalità è quando noti che usi sempre lo stesso insieme di sessioni aperte; &kde; può aprirle tutte automaticamente quando avvii una nuova sessione &kde;. Semplicemente lasciale aperte come vuoi quando esci da &kde; e saranno salvate con la tua sessione &kde;, e ripristinate come ogni altra applicazione quando riavvierai &kde;.

Puoi assegnare delle scorciatoie a qualsiasi sessione.

### Pulsanti del mouse

Questa sezione spiega in dettaglio l'uso dei pulsanti del mouse per l'ordine comune con la mano destra. Per l'ordine dei pulsanti del mouse mancino, scambia destra e sinistra nel testo sotto.

Sinistro

  Tutti i clic sul &LMB; saranno inviati a un'applicazione sensibile al mouse in esecuzione in &konsole;. Se un programma reagirà ai clic del mouse, &konsole; lo indicherà mostrando un cursore a forma di freccia. Sennò, verrà mostrata un'asta a I (barra).

  Mantenere premuto il &LMB; e trascinare il mouse per lo schermo con un'applicazione insensibile al mouse in esecuzione evidenzierà una regione di testo. Trascinandolo, il testo evidenziato viene mostrato invertito per controllo visuale. Seleziona Copia dal menu Modifica per copiare il testo evidenziato agli appunti per uso ulteriore all'interno di &konsole; o di un'altra applicazione. Il testo selezionato può anche essere trascinato all'interno di altre applicazioni. Fai clic sul testo selezionato e trascinalo alla posizione desiderata. A seconda delle tue impostazioni di &kde;, potresti dover tenere premuto il tasto &Ctrl; durante il trascinamento.

  Normalmente, i caratteri di ritorno a capo sono inseriti alla fine di ogni riga selezionata. Questo è il meglio per il taglia-e-incolla di codice sorgente, o l'output di un comando particolare. Per del testo ordinario, i ritorni a capo spesso non sono importanti. Si potrebbe preferire, tuttavia, che il testo fosse un flusso di caratteri che venissero automaticamente riformattati quando vengono incollati in un'altra applicazione. Per selezionare in modalità flusso di testo, mantieni premuto il tasto &Ctrl; mentre selezioni normalmente.

  Premere i tasti &Ctrl; e &Alt; insieme al &LMB; selezionerà una colonna di testo.

  Fai doppio clic con il &LMB; per selezionare una parola; fai clic triplo per selezionare un'intera riga.

  Se il bordo superiore o inferiore dell'area di testo viene toccato durante l'evidenziazione, &konsole; scorrerà in su o in giù, mostrando quindi il testo all'interno del buffer della cronologia. Lo scorrimento si conclude quando il mouse smette di muoversi.

  Dopo che il mouse viene rilasciato, &konsole; prova a mantenere visibile il testo negli appunti mantenendo l'area evidenziata invertita. L'area evidenziata ritorna normale non appena cambiano i contenuti degli appunti, viene cambiato il testo nell'area evidenziata, o viene premuto il &LMB;.

  Per evidenziare del testo in un'applicazione sensibile al mouse (per esempio Midnight Commander) deve essere premuto il tasto &Shift; mentre si fa clic.

Centrale

  Premere il &MMB; incolla il testo attualmente negli appunti. Mantenere premuto il pulsante &Ctrl; mentre premi il &MMB; incolla il testo e lo invia a &konsole;.

  Se hai un mouse con soli due tasti, premere insieme il &LMB; e il &RMB; emula il &MMB; di un mouse a tre pulsanti.

  Se hai una rotellina come tasto centrale, farla girare in un programma insensibile al mouse sposterà la barra di scorrimento di &konsole;.

Destro

  Gli elementi che appaiono nel menu quando il &RMB; è premuto dipendono dalla visibilità della barra dei menu.

  La barra dei menu è visibile: elementi del menu Imposta la fine della selezione, Copia, Incolla, Manda segnale, Stacca la sessione, Rinomina la sessione..., Segnalibri e Chiudi la sessione.

  La barra dei menu è nascosta: elementi del menu Mostra la barra dei menu, Imposta la fine della selezione, Copia, Incolla, Manda segnale, Nuova sessione, Stacca la sessione, Rinomina la sessione..., Segnalibri, Impostazioni e Chiudi la sessione.

  In un'applicazione sensibile al mouse, premi il tasto &Shift; insieme al &RMB; per avere il menu a comparsa.

  Premere il tasto &Ctrl; e il &RMB; fa apparire il menu Sessione.

### Barra dei menu

La barra dei menu è in cima alla finestra di &konsole;. La barra dei menu può essere attivata e disattivata dal tasto &Alt;.

Impostazioni Nascondi la barra dei menu permette di nascondere la barra dei menu. Quando la barra dei menu è nascosta, Mostra la barra dei menu può essere raggiunto facendo clic destro nella finestra o con &Alt;&Ctrl;M, che è la scorciatoia predefinita per attivare la barra dei menu. La barra dei menu può anche essere commutata assegnandoci una scorciatoia.

#### Menu Sessione

Sessione Nuova Shell

  Apri una nuova sessione con una shell di terminale. Anche &Alt;&Ctrl;N può essere usato, come descritto in dettaglio sotto.

Sessione Nuova finestra

  Apri una nuova finestra di &konsole;.

Sessione Nuova console Linux

  Apri una nuova sessione emulando un sistema &Linux; di solo testo.

  Vedi il file `README.linux.console` nel pacchetto sorgente di &konsole; per informazioni dettagliate su come la console &Linux; sia diversa da una tipica console &UNIX;. Se questo non ti dice niente, quasi sicuramente non te ne devi preoccupare.

Sessione Nuovo Midnight Commander

  Apri una nuova sessione con il navigatore file Midnight Commander.

  Questa voce del menu sarà visibile solo se Midnight Commander (`mc`) è installato sul tuo sistema.

Sessione Nuovo Midnight Commander come root

  Apre una nuova sessione con il navigatore file Midnight Commander, come utente root.

  Dopo la richiesta della password di root, appare il prompt #, che indica che l'utente sta lavorando con privilegi di root. Di nuovo, lavorare come root è spesso necessario, ma si dovrebbe fare attenzione a non causare danni accidentali.

  Questa voce del menu sarà visibile solo se Midnight Commander (`mc`) è installato sul tuo sistema.

Sessione Nuova shell di root

  Apre una nuova sessione con una shell di terminale, come utente root.

  Dopo la richiesta della password di root, appare il prompt #, che indica che l'utente sta lavorando con privilegi di root. Questo è spesso necessario per installare del nuovo software e per altra manutenzione di sistema, ma si dovrebbe fare attenzione a non causare danni accidentali.

Sessione Nuova sessione di Screen

  Apre una nuova sessione con il gestore di terminali virtuali Screen. Vedi ``man``screen`` per ulteriori informazioni.

  Questa voce del menu sarà visibile solo se Screen (`screen`) è installato sul tuo sistema.

Sessione Nuova shell al segnalibro

  Avvia una nuova shell di terminale, in una cartella scelta dalla lista dei segnalibri.

Sessione Stampa schermo

  Stampa la schermata attuale.

Sessione Chiudi sessione

  Chiudi la sessione attuale.

Sessione Esci

  Esce da &konsole;, chiudendo tutte le sessioni e ogni applicazione da loro avviata.

Puoi anche aprire una nuova sessione con una scorciatoia da tastiera. Come valore predefinito, è usata &Alt;&Ctrl;N. Puoi anche definire le tue scorciatoie da tastiera attraverso il comando da menu Impostazioni Configura le scorciatoie....

L'elenco di sessioni disponibili rifletterà quali programmi sono installati oltre a ogni sessione definita dall'utente. L'elenco delle sessioni sarà alfabetizzato per una visualizzazione rapida.

Infine, nota come i tipi di sessione possano essere modificati, e nuovi tipi creati, usando il dialogo di configurazione, raggiunto dalla voce del menu Impostazioni Configura Konsole....

#### Menu Modifica

Modifica Copia

  Copia il testo selezionato agli appunti.

&Shift;Ins Modifica Incolla

  Incolla il testo dagli appunti alla posizione del cursore.

Modifica Manda segnale

  Manda segnale - Manda il segnale specificato al processo shell, o altro processo, che è stato lanciato quando è stata avviata la nuova sessione.

  I segnali attualmente disponibili sono:

  STOP | per fermare il processo
  CONT | continua se fermato
  HUP | hangup rilevato sul terminale di controllo, o morte del processo controllante
  INT | interruzione da tastiera
  TERM | segnale di terminazione
  KILL | segnale di uccisione
  USR1 | segnale utente 1
  USR2 | segnale utente 2

  Riferisciti alle pagine di manuale del tuo sistema per ulteriori dettagli dando il comando ``man` `7 signal``.

&Alt;&Ctrl;U Modifica Invia con ZModem...

  Invia un file con ZModem.

Modifica Pulisci terminale

  Pulisci tutto il testo dalla finestra della sessione.

Modifica Pulisci e azzera terminale

  Azzera e pulisci la finestra della sessione.

Modifica Cerca nella cronologia...

  Trova una parola o una stringa di testo nella cronologia attuale. Le opzioni permettono ricerche all'indietro o che distinguono le maiuscole, e l'uso di espressioni regolari nelle ricerche. Premi il pulsante Modifica per usare l'editor grafico di &kde; per creare un'espressione regolare.

Modifica Trova successivo

  Vai al prossimo campione di testo che stai cercando.

Modifica Cerca precedente

  Vai al precedente campione di testo che stai cercando.

Modifica Salva la cronologia come...

  Salva la cronologia attuale come file di testo.

Modifica Pulisci la cronologia

  Cancella la cronologia della sessione attuale.

Modifica Pulisci tutte le cronologie

  Cancella la cronologia di tutte le sessioni.

#### Menu Visualizza

Visualizza Stacca la sessione

  Apre la sessione attuale in una finestra separata. Il nome della sessione è visualizzato nella barra del titolo della nuova finestra.

&Alt;&Ctrl;S Visualizza Rinomina la sessione...

  Apre una finestra di dialogo che ti permette di cambiare il nome della sessione attuale. Il nome è mostrato sulla linguetta della sessione. Si può anche usare &Alt;&Ctrl;S.

Visualizza Controlla se c'è attività

  Segna la sessione corrente in modo che mostri un avvertimento se avviene attività. Apparirà un'icona di una lampadina accesa nella linguetta della sessione. Usalo per farti avvertire se succede qualcosa mentre stai lavorando in un'altra sessione. Il tempo prima di un avvertimento può essere modificato nelle preferenze di &konsole;.

Visualizza Controlla se c'è silenzio

  Segna la sessione corrente in modo che mostri un avvertimento se non avviene attività per 10 secondi. Apparirà un'icona di una lampadina scura nella linguetta della sessione. Usalo per farti avvertire se un programma si ferma mentre stai lavorando in un'altra sessione. Il tempo prima di un avvertimento può essere modificato nelle preferenze di &konsole;.

Visualizza Manda le immissioni a tutte le sessioni

  Segna la sessione attuale affinché ogni comando in essa inserito sia inviato a tutte le sessioni. La sessione avrà una piccola icona nella sua linguetta per ricordarti di fare attenzione a cosa inserisci. ``rm` `-rf *``, per esempio, probabilmente non è una buona idea.

&Ctrl;&Shift;Sinistra Visualizza Sposta verso sinistra la sessione

  Sposta la linguetta della sessione attuale una linguetta a sinistra.

&Ctrl;&Shift;Destra Visualizza Sposta verso destra la sessione

  Sposta la linguetta della sessione attuale una linguetta a destra.

  Anche &Shift;Sinistra e &Shift;Destra possono essere usati per spostarsi tra le sessioni.

Visualizza Icone della sessione...

  In fondo al menu c'è un elenco delle sessioni disponibili. Selezionarne una la rende attiva.

  Puoi anche usare i tasti &Shift;Sinistra/&Shift;Destra per ruotare tra le sessioni disponibili.

#### Menu Segnalibri

Segnalibri Aggiungi un segnalibro

  Aggiungi la posizione attuale all'elenco dei segnalibri.

Segnalibri Modifica segnalibri

  Modifica l'elenco dei segnalibri.

Segnalibri Nuova cartella di segnalibri...

  Aggiungi una nuova cartella all'elenco dei segnalibri.

L'elenco dei segnalibri è mostrato sul fondo del menu. Seleziona un segnalibro per cambiare a quella posizione.

Puoi usare l'editor dei segnalibri per aggiungere manualmente URL come ssh://user@host o telnet://host per aprire comunicazioni a distanza.

#### Menu Impostazioni

Impostazioni Nascondi la barra dei menu

  Nascondi la barra dei menu.

Impostazioni Barra delle linguette

  Controlla la visibilità e la posizione della barra delle linguette: Nascondi, In alto, o In basso.

Impostazioni Barra di scorrimento

  Controlla la visibilità e la posizione della barra di scorrimento: Nascondi, A sinistra, o A destra.

&Ctrl;&Shift;F Impostazioni Modalità a tutto schermo

  Commuta la finestra tra la modalità a tutto schermo e le dimensioni normali.

Impostazioni Campanella

  Imposta la campanella: Campanella di sistema, Notifica di sistema, Campanella visiva o Nessuna.

Impostazioni Caratteri

  Imposta la dimensione dei caratteri: Allarga carattere o Stringi carattere.

  Usa l'opzione Seleziona... per scegliere qualsiasi combinazione di caratteri, dimensioni e stile.

Impostazioni Codifica

  Seleziona la codifica dei caratteri.

Impostazioni Tastiera

  Scegli la mappatura desiderata.

  La lista di queste mappature è presa da `$KDEDIR/share/apps/konsole/*.keytab`. Il file `$KDEDIR/share/apps/konsole/README.KeyTab` descrive il formato `*.keytab` in maggior dettaglio. Aggiungi o modifica questi file a seconda delle tue esigenze. La tabella dei tasti predefinita è presa da `$KDEDIR/share/apps/konsole/README.default.Keytab`

Impostazioni Schema

  Imposta i colori del testo e dello sfondo.

  Questo elenco è preso da `$KDEDIR/share/apps/konsole/*.schema`. Il file `$KDEDIR/share/apps/konsole/README.Schema` descrive il formato `*.schema` in maggior dettaglio. Modifica questi file secondo le tue necessità. Puoi anche creare schemi personalizzati attraverso il dialogo Preferenze in Impostazioni Configura &konsole;....

Impostazioni Dimensione

  Imposta la dimensione di un'area di testo (date in colonne per righe).

Impostazioni Cronologia...

  Apre una finestra dove puoi configurare la cronologia. La casella Abilita attiva il salvataggio delle linee che sono scorse oltre la cima della finestra. Puoi inserire il Numero di linee da ricordare nel campo testuale, o usare i pulsanti del contatore per aumentare o diminuire il numero a passi di 100 linee. Il pulsante Valori predefiniti reimposterà la cronologia a 1000 linee. Selezionare Illimitato farà salvare tutta la cronologia. Premi OK per salvare i tuoi cambiamenti, o Annulla per chiudere la finestra di dialogo senza salvare le tue impostazioni.

Impostazioni Salva come predefinito

  Salva le impostazioni correnti come i nuovi valori predefiniti.

Impostazioni Salva il profilo della sessione...

  Salva l'insieme attuale di sessioni con un nome che scegli tu. Il profilo può quindi essere usato avviando &konsole; dalla linea di comando con il parametro `--profile` e il nome del profilo.

Impostazioni Configura le notifiche...

  Personalizza le notifiche di &konsole;.

Impostazioni Configura le scorciatoie...

  Personalizza le scorciatoie da tastiera per i comandi di &konsole;.

Impostazioni Configura &konsole;...

  Apri il modulo di &kcontrolcenter;, che permette molti cambiamenti aggiuntivi all'interfaccia e al comportamento di &konsole;, incluse la creazione di schemi personalizzati e la modifica delle sessioni disponibili.

#### Menu Aiuto

Aiuto Manuale di Konsole

  Apre il sommario di questo documento.

Aiuto Suggerimento del giorno

  Mostra un suggerimento utile sull'uso di &konsole;. Segna la casella Mostra i suggerimenti all'avvio per mostrare un suggerimento ogni volta che &konsole; viene avviato.

Aiuto Segnala un bug...

  Invia una segnalazione di bug o una richiesta di funzionalità per &konsole;.

Aiuto Informazioni su Konsole

  Informazioni sull'autore di &konsole;

Aiuto Informazioni su KDE

  Informazioni sul progetto &kde;

### Barra delle linguette

La barra delle linguette permette di incorporare più sessioni di terminale in una sola finestra di &konsole;.

Immagine della barra delle linguette
Immagine della barra delle linguette

&konsole; con 4 sessioni di terminale aperte con la barra delle linguette in alto.

L'elemento del menu Impostazioni Barra delle linguette permette di spostare la barra delle linguette In alto o In basso. Si può anche nascondere la barra delle linguette selezionando Nascondi.

Sul lato sinistro della barra delle linguette c'è un pulsante che permette una serie di azioni.

- Fai clic sul pulsante per iniziare una nuova sessione standard.

- Fare clic e tener premuto il pulsante farà apparire un elenco di sessioni da selezionare.

- Fare clic destro sul pulsante (o qualsiasi spazio vuoto nella barra delle linguette) farà apparire un menu per impostare certe opzioni:

  - Barra delle linguette: Nascondi, In alto, In basso.

  - Opzioni linguetta: Testo e icone, Solo testo, Solo icone.

  - Nascondi dinamicamente nasconderà la barra delle linguette quando c'è solo una sessione aperta.

  - Autoridimensiona le linguette ridimensionerà automaticamente le linguette alla larghezza della barra delle linguette.

Sul lato destro della barra delle linguette c'è un pulsante che chiude la sessione attuale. Questo pulsante sarà disabilitato quando c'è solo una sessione in esecuzione.

Fare clic destro su qualsiasi linguetta farà apparire un altro menu:

- Stacca la sessione

- Rinomina la sessione...

- Controlla se c'è attività

- Controlla se c'è silenzio

- Manda le immissioni a tutte le sessioni

- Scegli il colore della linguetta...

- Vai alla linguetta...

- Chiudi la sessione

### Opzioni da linea di comando

Quando &konsole; viene avviato dalla linea di comando, possono essere specificate varie opzioni per modificarne il comportamento.

`--help`

  Elenca le varie opzioni.

`-e` `comando`

  Esegui `comando` anziché la shell normale.

  Qualsiasi argomento dopo `comando` sarà passato a `comando`, non a &konsole;.

`--keytab` `file`

  Avvia &konsole; usando un file .keytab specificato per personalizzare gli schemi dei tasti.

`--keytabs`

  Elenca tutte le tabelle dei tasti disponibili.

`--ls`

  Avvia con un ambiente shell di login. Cosa ciò faccia dipende dal tuo sistema, ma generalmente significa che file come `~/.profile` o `~/.bash_profile` saranno letti (Se questo non ti dice nulla, non preoccupartene, ma tienilo a mente per quando ti renderai conto che ti servirà).

`--name` `nome`

  Imposta il nome che appare nella barra del titolo.

`--noclose`

  Evita che &konsole; sia terminato quando un comando ``exit`` viene dato nell'ultima finestra di sessione.

`--noframe`

  Avvia &konsole; senza un riquadro.

`--nohist`

  Disattiva il salvataggio delle righe che scorrono oltre la cima della finestra.

`--nomenubar`

  Avvia &konsole; con la barra dei menu nascosta.

`--noresize`

  Disabilita il ridimensionamento della finestra del terminale.

`--noscrollbar`

  Avvia &konsole; con la barra di scorrimento nascosta.

`--notabbar`

  Avvia &konsole; con la barra delle linguette nascosta.

`--noxft`

  Avvia &konsole; senza lisciatura Xft. La lisciatura di un carattere piccolo potrebbe essere difficile da leggere.

`--profile` `file`

  Avvia &konsole; usando un insieme di sessioni salvate.

`--profiles`

  Elenca tutti i profili disponibili.

`--schema` `nome` | `file`

  Avvia &konsole; usando uno schema 'nome' o specificato nel 'file' per personalizzarne l'aspetto.

`--schemata`

  Elenca tutti gli schemi disponibili.

`--script`

  Abilita le funzioni &Qt; estese per &DCOP;.

`-T` `titolo`

  Imposta il titolo della finestra.

`--tn` `terminale`

  Imposta la variabile d'ambiente TERM al valore specificato. Leggi ``man` `xterm`` per maggiori informazioni su TERM.

`--type` `tipo`

  Avvia una sessione del tipo dato piuttosto che di quello predefinito.

`--types`

  Elenca tutti i tipi di sessione disponibili.

`--vt_sz` `CCxLL`

  Avvia una finestra di terminale di CC colonne e LL righe.

`--workdir` `dir`

  Apri con `dir` come cartella di lavoro.

Esempi:

    &percnt; konsole --vt_sz 90x25 --nohist

Avvia una finestra di &konsole; con 90 colonne e 25 righe, senza cronologia

    &percnt;  konsole --noclose -e echo_args Ciao, grazie di usare Konsole!

Avvia una finestra di &konsole; con il testo stampato 'Ciao, grazie di usare Konsole!'

`echo_args` è un semplice script Bash:

    #!/bin/bash
    echo $*

&konsole; accetta inoltre opzioni generiche &Qt; e &kde;:

`--help-qt`

  Elenca le opzioni specifiche di &Qt;

Le seguenti opzioni di &Qt; non hanno effetto su &konsole;:

`--fn`, `--font` `nomecarattere`

  Definisce il tipo di carattere dell'applicazione

`--bg`, `--background` `colore`

  Imposta il colore di sfondo predefinito

`--fg`, `--foreground` `colore`

  Imposta il colore di primo piano predefinito

`--btn`, `--button` `colore`

  Imposta il colore dei pulsanti predefinito

`--help-kde`

  Elenca le opzioni specifiche di &kde;

`--help-all`

  Elenca tutte le opzioni

`--author`

  Mostra i nomi degli autori

`-v,--version`

  Mostra il numero di versione

`--license`

  Mostra informazioni sulla licenza

### &DCOP;

Per un'introduzione a &DCOP; e all'uso di `dcop` vedi la voce della guida per l'utente su &DCOP;.

## Riconoscimenti e Copyright

Alla versione 3.4 di &kde;, &konsole; è mantenuto da &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

In precedenza, &konsole; era mantenuto da &Waldo.Bastian; &Waldo.Bastian.mail;

Applicazione &konsole;, copyright © 1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Questo documento è stato scritto da &Jonathan.Singer; &Jonathan.Singer.mail;

Questo documento è stato aggiornato per &kde; 3.4 da &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Inizialmente convertito a SGML DocBook da &Mike.McBride; e &Lauri.Watts;

Federico Zenithfederico.zenith@member.fsf.org

&underFDL; &underGPL;

## &konsole; su piattaforme non &Linux;

Sono disponibili informazioni sulla compilazione di &konsole; su piattaforme diverse da &Linux; nel file `README.ports` nel pacchetto sorgente di &konsole;. Esso fornisce una lista di esperti per certe piattaforme (Tru64, &Solaris;, OpenBSD) e richiede volontari da altre piattaforme &UNIX;.

Per maggiori informazioni visita questi siti Web:

- &kde; su FreeBSD

- &kde; su &Solaris;

&documentation.index;